import Spy = jasmine.Spy;
import { of } from 'rxjs';

import { SpyObject } from './spyobject';
import { PagesService } from 'app/shared/service/pages-service';

export class MockPagesService extends SpyObject {
  getSpy: Spy;
  getPageSpy: Spy;
  getAttachmentURLSpy: Spy;
  resetCacheSpy: Spy;

  constructor() {
    super(PagesService);

    this.getSpy = this.spy('get').andReturn(this);
    this.getPageSpy = this.spy('getPage').andCallFake((pagePath: string) => {
      return of({ path: pagePath, content: '#head \n hello world' });
    });

    this.getAttachmentURLSpy = this.spy('getAttachmentURL'); // nothing to do

    this.resetCacheSpy = this.spy('resetCache').and.returnValue(of('{}'));
  }
}
